: Class FontExtrusion

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.j3d
Class FontExtrusion

    java.lang.Object
      |
      +--javax.media.j3d.FontExtrusion

public class FontExtrusion
extends java.lang.Object

The FontExtrusion object is used to describe the extrusion path for a Font3D object. The extrusion path is used in conjunction with a Font2D object. The extrusion path defines the edge contour of 3D text. This contour is perpendicular to the face of the text. The extrusion has it's origin at the edge of the glyph with 1.0 being the height of the tallest glyph. Contour must be monotonic in x. User is responsible for data sanity and must make sure that extrusionShape does not cause intersection of adjacent glyphs or within single glyph. Else undefined output may be generated.

See Also:
  `Font`, `Font3D`

Constructor Summary
`FontExtrusion()` Constructs a FontExtrusion object with default parameters.
`FontExtrusion(java.awt.Shape extrusionShape)` Constructs a FontExtrusion object with the specified shape.

Method Summary
`java.awt.Shape` | `getExtrusionShape()` Gets the `FontExtrusion`'s shape parameter.
`void` | `getExtrusionShape(java.awt.Shape extrusionShape)` Deprecated. see getExtrusionShape() instead
`void` | `setExtrusionShape(java.awt.Shape extrusionShape)` Sets the `FontExtrusion`'s shape parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FontExtrusion

    public FontExtrusion()

  Constructs a FontExtrusion object with default parameters. The default extrusion shape is null, which specifies that a straight line from 0.0 to 0.2 (straight bevel) is used.
  See Also:
    `Font3D`, `Shape`

### FontExtrusion

    public FontExtrusion(java.awt.Shape extrusionShape)

  Constructs a FontExtrusion object with the specified shape. The `shape` parameter is used to construct the edge contour of a Font3D object. Each shape begins with an implicit point at 0.0. Contour must be monotonic in x.
  Parameters:
    `extrusionShape` - the shape object to use to generate the extrusion path. A null shape specifies that a straight line from 0.0 to 0.2 (straight bevel) is used.
  Throws:
    java.lang.IllegalArgumentException - if multiple contours in extrusionShape, or contour is not monotonic or least x-value of a contour point is not 0.0f
  See Also:
    `Font3D`, `Shape`

Method Detail

### setExtrusionShape

    public final void setExtrusionShape(java.awt.Shape extrusionShape)

  Sets the `FontExtrusion`'s shape parameter. This parameter is used to construct the 3D contour of a Font3D object.
  Parameters:
    `extrusionShape` - the shape object to use to generate the extrusion path. A null shape specifies that a straight line from 0.0 to 0.2 (straight bevel) is used.
  Throws:
    java.lang.IllegalArgumentException - if multiple contours in extrusionShape, or contour is not monotonic or least x-value of a contour point is not 0.0f
  See Also:
    `Font3D`, `Shape`

### getExtrusionShape

    public final void getExtrusionShape(java.awt.Shape extrusionShape)

  Deprecated. see getExtrusionShape() instead

### getExtrusionShape

    public final java.awt.Shape getExtrusionShape()

  Gets the `FontExtrusion`'s shape parameter. This parameter is used to construct the 3D contour of a Font3D object.
  Returns:
    extrusionShape the shape object used to generate the extrusion path.
  See Also:
    `Font3D`, `Shape`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD